nxt.util.security

## Class BlockchainKeyStoreSpi

- java.lang.Object
- - java.security.KeyStoreSpi
  - - nxt.util.security.BlockchainKeyStoreSpi

-     public class BlockchainKeyStoreSpi
      extends java.security.KeyStoreSpi

  KeyStore implementation which converts the signedBy alias specified in the policy file to a public key certificate Currently this KeyStore does not store any information and does not persist its data

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockchainKeyStoreSpi()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Enumeration<java.lang.String>` | `engineAliases()`
    `boolean` | `engineContainsAlias(java.lang.String alias)`
    `void` | `engineDeleteEntry(java.lang.String alias)`
    `java.security.cert.Certificate` | `engineGetCertificate(java.lang.String alias)`
    `java.lang.String` | `engineGetCertificateAlias(java.security.cert.Certificate cert)`
    `java.security.cert.Certificate[]` | `engineGetCertificateChain(java.lang.String alias)`
    `java.util.Date` | `engineGetCreationDate(java.lang.String alias)`
    `java.security.Key` | `engineGetKey(java.lang.String alias, char[] password)`
    `boolean` | `engineIsCertificateEntry(java.lang.String alias)`
    `boolean` | `engineIsKeyEntry(java.lang.String alias)`
    `void` | `engineLoad(java.io.InputStream stream, char[] password)`
    `void` | `engineSetCertificateEntry(java.lang.String alias, java.security.cert.Certificate cert)`
    `void` | `engineSetKeyEntry(java.lang.String alias, byte[] key, java.security.cert.Certificate[] chain)`
    `void` | `engineSetKeyEntry(java.lang.String alias, java.security.Key key, char[] password, java.security.cert.Certificate[] chain)`
    `int` | `engineSize()`
    `void` | `engineStore(java.io.OutputStream stream, char[] password)`

    - ### Methods inherited from class java.security.KeyStoreSpi

      `engineEntryInstanceOf, engineGetEntry, engineLoad, engineSetEntry, engineStore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockchainKeyStoreSpi

          public BlockchainKeyStoreSpi()

  - ### Method Detail

    - #### engineGetKey

          public java.security.Key engineGetKey(java.lang.String alias,
                                                char[] password)

      Specified by:
        `engineGetKey` in class `java.security.KeyStoreSpi`

    - #### engineGetCertificateChain

          public java.security.cert.Certificate[] engineGetCertificateChain(java.lang.String alias)

      Specified by:
        `engineGetCertificateChain` in class `java.security.KeyStoreSpi`

    - #### engineGetCertificate

          public java.security.cert.Certificate engineGetCertificate(java.lang.String alias)

      Specified by:
        `engineGetCertificate` in class `java.security.KeyStoreSpi`

    - #### engineGetCreationDate

          public java.util.Date engineGetCreationDate(java.lang.String alias)

      Specified by:
        `engineGetCreationDate` in class `java.security.KeyStoreSpi`

    - #### engineSetKeyEntry

          public void engineSetKeyEntry(java.lang.String alias,
                                        java.security.Key key,
                                        char[] password,
                                        java.security.cert.Certificate[] chain)

      Specified by:
        `engineSetKeyEntry` in class `java.security.KeyStoreSpi`

    - #### engineSetKeyEntry

          public void engineSetKeyEntry(java.lang.String alias,
                                        byte[] key,
                                        java.security.cert.Certificate[] chain)

      Specified by:
        `engineSetKeyEntry` in class `java.security.KeyStoreSpi`

    - #### engineSetCertificateEntry

          public void engineSetCertificateEntry(java.lang.String alias,
                                                java.security.cert.Certificate cert)

      Specified by:
        `engineSetCertificateEntry` in class `java.security.KeyStoreSpi`

    - #### engineDeleteEntry

          public void engineDeleteEntry(java.lang.String alias)

      Specified by:
        `engineDeleteEntry` in class `java.security.KeyStoreSpi`

    - #### engineAliases

          public java.util.Enumeration<java.lang.String> engineAliases()

      Specified by:
        `engineAliases` in class `java.security.KeyStoreSpi`

    - #### engineContainsAlias

          public boolean engineContainsAlias(java.lang.String alias)

      Specified by:
        `engineContainsAlias` in class `java.security.KeyStoreSpi`

    - #### engineSize

          public int engineSize()

      Specified by:
        `engineSize` in class `java.security.KeyStoreSpi`

    - #### engineIsKeyEntry

          public boolean engineIsKeyEntry(java.lang.String alias)

      Specified by:
        `engineIsKeyEntry` in class `java.security.KeyStoreSpi`

    - #### engineIsCertificateEntry

          public boolean engineIsCertificateEntry(java.lang.String alias)

      Specified by:
        `engineIsCertificateEntry` in class `java.security.KeyStoreSpi`

    - #### engineGetCertificateAlias

          public java.lang.String engineGetCertificateAlias(java.security.cert.Certificate cert)

      Specified by:
        `engineGetCertificateAlias` in class `java.security.KeyStoreSpi`

    - #### engineStore

          public void engineStore(java.io.OutputStream stream,
                                  char[] password)

      Specified by:
        `engineStore` in class `java.security.KeyStoreSpi`

    - #### engineLoad

          public void engineLoad(java.io.InputStream stream,
                                 char[] password)

      Specified by:
        `engineLoad` in class `java.security.KeyStoreSpi`